Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.fop.render.pcl.fonts
Enum PCLSymbolSet

    java.lang.Object
      java.lang.Enum<PCLSymbolSet>
          org.apache.fop.render.pcl.fonts.PCLSymbolSet

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<PCLSymbolSet>

    public enum PCLSymbolSet

extends java.lang.Enum<PCLSymbolSet>

Table C-1 from http://www.lprng.com/DISTRIB/RESOURCES/DOCS/pcl5comp.pdf

Enum Constant Summary
`Alternate`
`Alternate_Caps`
`Arabic`
`Arabic_8`
`Astrology_1`
`Barcode_3of9`
`Bit_Paired_APL`
`Bound_Generic`
`Carta`
`Chess`
`CODABAR_Barcode`
`Code_11_Barcode`
`Code_Page_864_Latin_Arabic`
`Cyrillic`
`Cyrillic_ASCII_8859_5_1986`
`DeskTop`
`Devanagari`
`Document`
`Expert`
`Fractions`
`Fraktur`
`Greek_8`
`GW_3212`
`Hebrew_7`
`Hebrew_8`
`HP_Block_Characters`
`HP_European_Spanish`
`HP_German`
`HP_GL_Download`
`HP_GL_Drafting`
`HP_GL_Special_Symbols`
`HP_Large_Characters`
`HP_Latin_Spanish`
`HP_Spanish`
`HPL`
`Industrial_2_of_5_Barcode`
`Interleaved_2_of_5_Barcode`
`ISO_10_Swedish`
`ISO_11_Swedish`
`ISO_13_Katakana`
`ISO_14_JIS_ASCII`
`ISO_15_Italian`
`ISO_16_Portuguese`
`ISO_17_Spanish3`
`ISO_2_International_Reference`
`ISO_21_German`
`ISO_25_French`
`ISO_4_United_Kingdom`
`ISO_57_Chinese`
`ISO_6_ASCII`
`ISO_60_Danish_Norwegian`
`ISO_61_Norwegian_Version_2`
`ISO_69_French`
`ISO_84_Portuguese`
`ISO_85_Spanish`
`ISO_8859_1_Latin_1`
`ISO_8859_10_Latin_6`
`ISO_8859_2_Latin_2`
`ISO_8859_3_Latin_3`
`ISO_8859_4_Latin_4`
`ISO_8859_5_Latin_Cyrillic`
`ISO_8859_6_Latin_Arabic`
`ISO_8859_7_Latin_Greek`
`ISO_8859_8_Latin_Hebrew`
`ISO_8859_9_Latin_5`
`ITC_Zapf_Dingbats_Series_100`
`ITC_Zapf_Dingbats_Series_200`
`ITC_Zapf_Dingbats_Series_300`
`Kana_8_JIS_210`
`Korean_8`
`Legal`
`Line_Draw_7`
`Line_Draw_7_2`
`Line_Draw_8`
`Lining_Figures`
`Math_7`
`Math_7_2`
`Math_8`
`Matrix_2_of_5_Barcode`
`MC_Text`
`MICR_CMC_7`
`MICR_E13B`
`Microsoft_Publishing`
`MSI_Plessey_Barcode`
`OCR_A`
`OCR_B`
`OCR_M`
`OEM_1`
`Old_Style_Figures`
`Ornaments`
`PC_1004`
`PC_775`
`PC_8_Code_Page_437`
`PC_8_D_N_Danish_Norwegian`
`PC_8_Latin_Greek`
`PC_8_Turkish`
`PC_850_Multilingual`
`PC_851_Latin_Greek`
`PC_852_Latin_2`
`PC_857`
`PC_860_Portugal`
`PC_861_Iceland`
`PC_862_Latin_Hebrew`
`PC_863_Canada_French`
`PC_865_Norway`
`PC_Cyrillic`
`Pi_Font`
`Pi_Set_1`
`Pi_Set_2`
`Pi_Set_3`
`Pi_Set_4`
`Pi_Set_5`
`Pi_Set_6`
`PS_ISO_Latin1`
`PS_ITC_Zapf_Dingbats`
`PS_Math`
`PS_Text`
`Roman_8`
`Roman_Extension`
`Small_Caps_and_Lining_Figures`
`Small_Caps_Old_Style_Figures`
`Sonata`
`Swash_Characters`
`Symbol`
`Tax_Line_Draw`
`Tech_7`
`Teletex`
`TeX_Math_Extension`
`TeX_Math_Italic`
`TeX_Math_Symbol`
`Thai_8`
`TISI_620_2533_Thai`
`Turkish_8`
`Typewriter_Paired_APL`
`Unbound`
`Universal_Greek_Math_Pi`
`Universal_News_Commercial_Pi`
`UPC_EAN_Barcode`
`USPS_ZIP`
`Ventura_International3`
`Ventura_ITC_Zapf_Dingbats3`
`Ventura_Math3`
`Ventura_US3`
`Windows_3_0_Latin_1`
`Windows_3_1_Latin_1`
`Windows_3_1_Latin_5`
`Windows_3_1_Latin_Arabic`
`Windows_3_1_Latin_Cyrillic`
`Windows_3_1_Latin_Greek`
`Windows_3_1_Latin2`
`Windows_Baltic`
`Wingdings`

Method Summary
`int` | `getKind1()`
`java.lang.String` | `getSymbolSetID()`
`static PCLSymbolSet` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static PCLSymbolSet[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Unbound

    public static final PCLSymbolSet Unbound

### Bound_Generic

    public static final PCLSymbolSet Bound_Generic

### GW_3212

    public static final PCLSymbolSet GW_3212

### ISO_60_Danish_Norwegian

    public static final PCLSymbolSet ISO_60_Danish_Norwegian

### Devanagari

    public static final PCLSymbolSet Devanagari

### ISO_4_United_Kingdom

    public static final PCLSymbolSet ISO_4_United_Kingdom

### Windows_3_1_Latin2

    public static final PCLSymbolSet Windows_3_1_Latin2

### ISO_69_French

    public static final PCLSymbolSet ISO_69_French

### ISO_21_German

    public static final PCLSymbolSet ISO_21_German

### Greek_8

    public static final PCLSymbolSet Greek_8

### Windows_3_1_Latin_Greek

    public static final PCLSymbolSet Windows_3_1_Latin_Greek

### PC_851_Latin_Greek

    public static final PCLSymbolSet PC_851_Latin_Greek

### PC_8_Latin_Greek

    public static final PCLSymbolSet PC_8_Latin_Greek

### Hebrew_7

    public static final PCLSymbolSet Hebrew_7

### ISO_8859_8_Latin_Hebrew

    public static final PCLSymbolSet ISO_8859_8_Latin_Hebrew

### Hebrew_8

    public static final PCLSymbolSet Hebrew_8

### PC_862_Latin_Hebrew

    public static final PCLSymbolSet PC_862_Latin_Hebrew

### ISO_15_Italian

    public static final PCLSymbolSet ISO_15_Italian

### Microsoft_Publishing

    public static final PCLSymbolSet Microsoft_Publishing

### DeskTop

    public static final PCLSymbolSet DeskTop

### Document

    public static final PCLSymbolSet Document

### PC_1004

    public static final PCLSymbolSet PC_1004

### PS_Text

    public static final PCLSymbolSet PS_Text

### PS_ISO_Latin1

    public static final PCLSymbolSet PS_ISO_Latin1

### MC_Text

    public static final PCLSymbolSet MC_Text

### Ventura_International3

    public static final PCLSymbolSet Ventura_International3

### Ventura_US3

    public static final PCLSymbolSet Ventura_US3

### Swash_Characters

    public static final PCLSymbolSet Swash_Characters

### Small_Caps_Old_Style_Figures

    public static final PCLSymbolSet Small_Caps_Old_Style_Figures

### Old_Style_Figures

    public static final PCLSymbolSet Old_Style_Figures

### Fractions

    public static final PCLSymbolSet Fractions

### Lining_Figures

    public static final PCLSymbolSet Lining_Figures

### Small_Caps_and_Lining_Figures

    public static final PCLSymbolSet Small_Caps_and_Lining_Figures

### Alternate_Caps

    public static final PCLSymbolSet Alternate_Caps

### Kana_8_JIS_210

    public static final PCLSymbolSet Kana_8_JIS_210

### Korean_8

    public static final PCLSymbolSet Korean_8

### Line_Draw_7

    public static final PCLSymbolSet Line_Draw_7

### HP_Block_Characters

    public static final PCLSymbolSet HP_Block_Characters

### Tax_Line_Draw

    public static final PCLSymbolSet Tax_Line_Draw

### Line_Draw_8

    public static final PCLSymbolSet Line_Draw_8

### Ventura_ITC_Zapf_Dingbats3

    public static final PCLSymbolSet Ventura_ITC_Zapf_Dingbats3

### PS_ITC_Zapf_Dingbats

    public static final PCLSymbolSet PS_ITC_Zapf_Dingbats

### ITC_Zapf_Dingbats_Series_100

    public static final PCLSymbolSet ITC_Zapf_Dingbats_Series_100

### ITC_Zapf_Dingbats_Series_200

    public static final PCLSymbolSet ITC_Zapf_Dingbats_Series_200

### ITC_Zapf_Dingbats_Series_300

    public static final PCLSymbolSet ITC_Zapf_Dingbats_Series_300

### Windows_Baltic

    public static final PCLSymbolSet Windows_Baltic

### Carta

    public static final PCLSymbolSet Carta

### Ornaments

    public static final PCLSymbolSet Ornaments

### Universal_News_Commercial_Pi

    public static final PCLSymbolSet Universal_News_Commercial_Pi

### Chess

    public static final PCLSymbolSet Chess

### Astrology_1

    public static final PCLSymbolSet Astrology_1

### Pi_Set_1

    public static final PCLSymbolSet Pi_Set_1

### Pi_Set_2

    public static final PCLSymbolSet Pi_Set_2

### Pi_Set_3

    public static final PCLSymbolSet Pi_Set_3

### Pi_Set_4

    public static final PCLSymbolSet Pi_Set_4

### Pi_Set_5

    public static final PCLSymbolSet Pi_Set_5

### Pi_Set_6

    public static final PCLSymbolSet Pi_Set_6

### Wingdings

    public static final PCLSymbolSet Wingdings

### Math_7

    public static final PCLSymbolSet Math_7

### Tech_7

    public static final PCLSymbolSet Tech_7

### PS_Math

    public static final PCLSymbolSet PS_Math

### Ventura_Math3

    public static final PCLSymbolSet Ventura_Math3

### Math_8

    public static final PCLSymbolSet Math_8

### Universal_Greek_Math_Pi

    public static final PCLSymbolSet Universal_Greek_Math_Pi

### TeX_Math_Extension

    public static final PCLSymbolSet TeX_Math_Extension

### TeX_Math_Symbol

    public static final PCLSymbolSet TeX_Math_Symbol

### TeX_Math_Italic

    public static final PCLSymbolSet TeX_Math_Italic

### Symbol

    public static final PCLSymbolSet Symbol

### ISO_8859_1_Latin_1

    public static final PCLSymbolSet ISO_8859_1_Latin_1

### ISO_8859_2_Latin_2

    public static final PCLSymbolSet ISO_8859_2_Latin_2

### ISO_8859_3_Latin_3

    public static final PCLSymbolSet ISO_8859_3_Latin_3

### ISO_8859_4_Latin_4

    public static final PCLSymbolSet ISO_8859_4_Latin_4

### ISO_8859_9_Latin_5

    public static final PCLSymbolSet ISO_8859_9_Latin_5

### ISO_8859_10_Latin_6

    public static final PCLSymbolSet ISO_8859_10_Latin_6

### ISO_8859_5_Latin_Cyrillic

    public static final PCLSymbolSet ISO_8859_5_Latin_Cyrillic

### ISO_8859_6_Latin_Arabic

    public static final PCLSymbolSet ISO_8859_6_Latin_Arabic

### ISO_8859_7_Latin_Greek

    public static final PCLSymbolSet ISO_8859_7_Latin_Greek

### OCR_A

    public static final PCLSymbolSet OCR_A

### OCR_B

    public static final PCLSymbolSet OCR_B

### OCR_M

    public static final PCLSymbolSet OCR_M

### MICR_E13B

    public static final PCLSymbolSet MICR_E13B

### Typewriter_Paired_APL

    public static final PCLSymbolSet Typewriter_Paired_APL

### Bit_Paired_APL

    public static final PCLSymbolSet Bit_Paired_APL

### Expert

    public static final PCLSymbolSet Expert

### Alternate

    public static final PCLSymbolSet Alternate

### Fraktur

    public static final PCLSymbolSet Fraktur

### Cyrillic_ASCII_8859_5_1986

    public static final PCLSymbolSet Cyrillic_ASCII_8859_5_1986

### Cyrillic

    public static final PCLSymbolSet Cyrillic

### PC_Cyrillic

    public static final PCLSymbolSet PC_Cyrillic

### Windows_3_1_Latin_Cyrillic

    public static final PCLSymbolSet Windows_3_1_Latin_Cyrillic

### ISO_11_Swedish

    public static final PCLSymbolSet ISO_11_Swedish

### ISO_17_Spanish3

    public static final PCLSymbolSet ISO_17_Spanish3

### HP_European_Spanish

    public static final PCLSymbolSet HP_European_Spanish

### HP_Latin_Spanish

    public static final PCLSymbolSet HP_Latin_Spanish

### HP_GL_Download

    public static final PCLSymbolSet HP_GL_Download

### HP_GL_Drafting

    public static final PCLSymbolSet HP_GL_Drafting

### HP_GL_Special_Symbols

    public static final PCLSymbolSet HP_GL_Special_Symbols

### Sonata

    public static final PCLSymbolSet Sonata

### Thai_8

    public static final PCLSymbolSet Thai_8

### TISI_620_2533_Thai

    public static final PCLSymbolSet TISI_620_2533_Thai

### Windows_3_1_Latin_5

    public static final PCLSymbolSet Windows_3_1_Latin_5

### Turkish_8

    public static final PCLSymbolSet Turkish_8

### PC_8_Turkish

    public static final PCLSymbolSet PC_8_Turkish

### Teletex

    public static final PCLSymbolSet Teletex

### ISO_6_ASCII

    public static final PCLSymbolSet ISO_6_ASCII

### Legal

    public static final PCLSymbolSet Legal

### HPL

    public static final PCLSymbolSet HPL

### OEM_1

    public static final PCLSymbolSet OEM_1

### Roman_8

    public static final PCLSymbolSet Roman_8

### Windows_3_0_Latin_1

    public static final PCLSymbolSet Windows_3_0_Latin_1

### PC_8_Code_Page_437

    public static final PCLSymbolSet PC_8_Code_Page_437

### PC_8_D_N_Danish_Norwegian

    public static final PCLSymbolSet PC_8_D_N_Danish_Norwegian

### PC_850_Multilingual

    public static final PCLSymbolSet PC_850_Multilingual

### Pi_Font

    public static final PCLSymbolSet Pi_Font

### PC_857

    public static final PCLSymbolSet PC_857

### PC_852_Latin_2

    public static final PCLSymbolSet PC_852_Latin_2

### Windows_3_1_Latin_1

    public static final PCLSymbolSet Windows_3_1_Latin_1

### PC_860_Portugal

    public static final PCLSymbolSet PC_860_Portugal

### PC_861_Iceland

    public static final PCLSymbolSet PC_861_Iceland

### PC_863_Canada_French

    public static final PCLSymbolSet PC_863_Canada_French

### PC_865_Norway

    public static final PCLSymbolSet PC_865_Norway

### PC_775

    public static final PCLSymbolSet PC_775

### Arabic_8

    public static final PCLSymbolSet Arabic_8

### Windows_3_1_Latin_Arabic

    public static final PCLSymbolSet Windows_3_1_Latin_Arabic

### Code_Page_864_Latin_Arabic

    public static final PCLSymbolSet Code_Page_864_Latin_Arabic

### Barcode_3of9

    public static final PCLSymbolSet Barcode_3of9

### Industrial_2_of_5_Barcode

    public static final PCLSymbolSet Industrial_2_of_5_Barcode

### Matrix_2_of_5_Barcode

    public static final PCLSymbolSet Matrix_2_of_5_Barcode

### Interleaved_2_of_5_Barcode

    public static final PCLSymbolSet Interleaved_2_of_5_Barcode

### CODABAR_Barcode

    public static final PCLSymbolSet CODABAR_Barcode

### MSI_Plessey_Barcode

    public static final PCLSymbolSet MSI_Plessey_Barcode

### Code_11_Barcode

    public static final PCLSymbolSet Code_11_Barcode

### UPC_EAN_Barcode

    public static final PCLSymbolSet UPC_EAN_Barcode

### MICR_CMC_7

    public static final PCLSymbolSet MICR_CMC_7

### USPS_ZIP

    public static final PCLSymbolSet USPS_ZIP

### Math_7_2

    public static final PCLSymbolSet Math_7_2

### Line_Draw_7_2

    public static final PCLSymbolSet Line_Draw_7_2

### HP_Large_Characters

    public static final PCLSymbolSet HP_Large_Characters

### ISO_61_Norwegian_Version_2

    public static final PCLSymbolSet ISO_61_Norwegian_Version_2

### Roman_Extension

    public static final PCLSymbolSet Roman_Extension

### ISO_25_French

    public static final PCLSymbolSet ISO_25_French

### HP_German

    public static final PCLSymbolSet HP_German

### ISO_14_JIS_ASCII

    public static final PCLSymbolSet ISO_14_JIS_ASCII

### ISO_13_Katakana

    public static final PCLSymbolSet ISO_13_Katakana

### ISO_57_Chinese

    public static final PCLSymbolSet ISO_57_Chinese

### HP_Spanish

    public static final PCLSymbolSet HP_Spanish

### ISO_10_Swedish

    public static final PCLSymbolSet ISO_10_Swedish

### ISO_16_Portuguese

    public static final PCLSymbolSet ISO_16_Portuguese

### ISO_84_Portuguese

    public static final PCLSymbolSet ISO_84_Portuguese

### ISO_85_Spanish

    public static final PCLSymbolSet ISO_85_Spanish

### ISO_2_International_Reference

    public static final PCLSymbolSet ISO_2_International_Reference

### Arabic

    public static final PCLSymbolSet Arabic

Method Detail

### values

    public static PCLSymbolSet[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (PCLSymbolSet c : PCLSymbolSet.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static PCLSymbolSet valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getSymbolSetID

    public java.lang.String getSymbolSetID()

### getKind1

    public int getKind1()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.